#
# spec file for package x11-config-chromebook
#
# Copyright (c) 2013 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:     x11-config-chromebook
Version:  1
Release:  2.4
Summary:  alsa preset
License:  GPL-2.0
Group:    System/X11
URL:      http://build.opensuse.org/devel:ARM:Factory:Contrib:Chromebook
Source0:  chromebook-x11.conf
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is the preset file for the sound configuration for the Chromebook

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/X11
cp $RPM_SOURCE_DIR/chromebook-x11.conf $RPM_BUILD_ROOT/etc/X11/xorg.conf
cp $RPM_SOURCE_DIR/chromebook-xmodmap $RPM_BUILD_ROOT/etc/X11/Xmodmap

%clean


%files
%defattr(-,root,root,-)
%config /etc/X11/xorg.conf
%config /etc/X11/Xmodmap
/etc/X11/xorg.conf
/etc/X11/Xmodmap

%changelog
* Fri Apr 12 2013 rschweikert@suse.com
- Add a keyboard map to map functionkeys to match the symbols on the keys
* Thu Apr 11 2013 rschweikert@suse.com
- Initial build
